Subject: RE: [Sipping] New I-D - SIP Subscription Mobility using SUBSCRIBEwithReplaces Header

From: Darshan Bildikar <[email-masked]>
Date: Mon, 06 Feb 2006 10:31:14 +0530

Not very sure about this....but can this draft be made more generic in order
to address the issue of transparent fail over for SIP servers. It can apply
to all dialog creating SIP messages (INVITE / SUBSCRIBE / REFER). 

Can it act as a BCP document for all SIP entities wishing to implement a
transparent failover mechanism?

Is there any such mechanism documented? How a SIP server can transfer all
SIP dialogs and state to another SIP Server when it is being shutdown...

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Horvath Bob-BHORVAT1
Sent: Wednesday, February 01, 2006 12:39 AM
To: Paul Kyzivat
Cc: [email-masked]
Subject: Re: [Sipping] New I-D - SIP Subscription Mobility using
SUBSCRIBEwithReplaces Header

Paul Kyzivat wrote:
> [Replying to the whole thread, not just this message.]
>
>
...
>
> One advantage of this approach seems false to me. There seems to be an 
> assumption that upon receipt of a SUBSCRIBE/Replaces, the notifier 
> will just drop the replaced subscription without sending a NOTIFY. 
> That is analogous to the recipient of an INVITE/Replaces dropping the 
> replaced call without sending a BYE. That isn't how it works. There in 
> general is no guarantee that the peer in the old dialog is aware that 
> this is happening.
>
> If it is desired to have the old subscription dropped without any 
> notification, then I think there needs to be something new added to 
> the signaling that explicitly requests that behavior. And, there may 
> be some security considerations around that. (I haven't thought this 
> through.)
>

I agree, although I can see why as written it is not obvious because we 
wrote it from the perspective of the new subscription without much 
discussion on what happens to the existing subscription.  When we said 
the old subscription is removed, we deferred to 3265 to define what that 
means.  3265 indicates that when removing a subscription, the notifier 
should send a NOTIFY to indicate that it is terminating the existing 
subscription. 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Horvath Bob-BHORVAT1 <[email-masked]>
Date: Tue, 07 Feb 2006 01:47:08 -0600

> to all dialog creating SIP messages (INVITE / SUBSCRIBE / REFER). 

Hmmm, possibly, although it is taking it beyond what we had considered.

> SIP dialogs and state to another SIP Server when it is being shutdown...

The closest thing I have seen to what you are suggesting is the shacham 
session mobility draft.